function plot_overlayed (img1, img2)
    %% Funkcia pre vykreslovanie sparovanych dvoch obrazov do jedneho
    
    I = img1;
    imshow(img1);
    % I = rgb2gray(rgb);
    hold on
    h = imshow(img2); % Save the handle; we'll need it later
    hold off

    [M,N] = size(I);
    block_size = 30;
    P = ceil(M / block_size);
    Q = ceil(N / block_size);
    alpha_data = checkerboard(block_size, P, Q) > 0;
    alpha_data = double(alpha_data(1:M, 1:N));
    set(h, 'AlphaData', alpha_data);
    
    




end